Difference between revisions of "OX munin scripts"

(configuring Munin scripts for Open-Xchange)
Line 1: Line 1:
 
= How to install Munin scripts for Open-Xchange=
 
= How to install Munin scripts for Open-Xchange=
  
== Debian ==
+
{{InstallPlugin|pluginname=open-xchange-munin-scripts|sopath=unsupported/repo|reponame=oxmunin}}
  
Add the following entry to /etc/apt/sources.list:
+
== How to use  Munin scripts for Open-Xchange ==
 
 
deb http://software.open-xchange.com/OX6/unsupported/repo/DebianLenny/ /
 
 
 
and run
 
 
 
$ apt-get update
 
$ apt-get install open-xchange-munin-scripts
 
 
 
== SLES10 ==
 
 
 
'''Important: Some of the dependencies require SLES10 SDK'''
 
 
 
Run the following commands:
 
 
 
$ zypper sa http://software.open-xchange.com/OX6/unsupported/repo/SLES10 UNSUPPORTED
 
$ zypper install open-xchange-munin-scripts
 
 
 
== SLES11 ==
 
 
 
Run the following commands:
 
 
 
$ zypper ar http://software.open-xchange.com/OX6/unsupported/repo/SLES11 UNSUPPORTED
 
$ zypper install open-xchange-munin-scripts
 
 
 
== RHEL5 ==
 
 
 
Add the open-xchange unsupported repository:
 
 
 
$ vim /etc/yum.repos.d/unsupported.repo
 
 
[unsupported]
 
name=Open-Xchange Unsupported
 
baseurl=http://software.open-xchange.com/OX6/unsupported/repo/RHEL5/
 
enabled=1
 
gpgcheck=0
 
 
 
Then run
 
 
 
$ yum update
 
$ yum install open-xchange-munin-scripts
 
 
 
= How to use  Munin scripts for Open-Xchange=
 
  
 
== Prerequisites ==
 
== Prerequisites ==

Revision as of 15:04, 6 October 2010

How to install Munin scripts for Open-Xchange

Install on OX AppSuite

Debian GNU/Linux 8.0

Add the following entry to /etc/apt/sources.list.d/open-xchange.list if not already present:

deb https://software.open-xchange.com/OX6/unsupported/repo/DebianJessie/ /
# if you have a valid maintenance subscription, please uncomment the 
# following and add the ldb account data to the url so that the most recent
# packages get installed
# deb https://[CUSTOMERID:PASSWORD]@software.open-xchange.com/OX6/unsupported/repo/updates/DebianJessie/ /

and run

$ apt-get update
$ apt-get install open-xchange-munin-scripts

Debian GNU/Linux 9.0

Add the following entry to /etc/apt/sources.list.d/open-xchange.list if not already present:

deb https://software.open-xchange.com/OX6/unsupported/repo/DebianStretch/ /
# if you have a valid maintenance subscription, please uncomment the 
# following and add the ldb account data to the url so that the most recent
# packages get installed
# deb https://[CUSTOMERID:PASSWORD]@software.open-xchange.com/OX6/unsupported/repo/updates/DebianStretch/ /

and run

$ apt-get update
$ apt-get install open-xchange-munin-scripts

SUSE Linux Enterprise Server 12

Add the package repository using zypper if not already present:

$ zypper ar https://software.open-xchange.com/OX6/unsupported/repo/SLE_12 oxmunin

If you have a valid maintenance subscription, please run the following command and add the ldb account data to the url so that the most recent packages get installed:

$ zypper ar https://[CUSTOMERID:PASSWORD]@software.open-xchange.com/OX6/unsupported/repo/updates/SLES11 ox-updates

and run

$ zypper ref
$ zypper in open-xchange-munin-scripts

RedHat Enterprise Linux 6

Start a console and create a software repository file if not already present:

$ vim /etc/yum.repos.d/oxmunin.repo

[oxmunin]
name=Open-Xchange
baseurl=https://software.open-xchange.com/OX6/unsupported/repo/RHEL6/
gpgkey=https://software.open-xchange.com/oxbuildkey.pub
enabled=1
gpgcheck=1
metadata_expire=0m
# if you have a valid maintenance subscription, please uncomment the 
# following and add the ldb account data to the url so that the most recent
# packages get installed
# [ox-updates]
# name=Open-Xchange Updates
# baseurl=https://[CUSTOMERID:PASSWORD]@software.open-xchange.com/OX6/unsupported/repo/updates/RHEL6/
# gpgkey=https://software.open-xchange.com/oxbuildkey.pub
# enabled=1
# gpgcheck=1
# metadata_expire=0m

and run

$ yum update
$ yum install open-xchange-munin-scripts

RedHat Enterprise Linux 7

Start a console and create a software repository file if not already present:

$ vim /etc/yum.repos.d/oxmunin.repo

[oxmunin]
name=Open-Xchange
baseurl=https://software.open-xchange.com/OX6/unsupported/repo/RHEL7/
gpgkey=https://software.open-xchange.com/oxbuildkey.pub
enabled=1
gpgcheck=1
metadata_expire=0m
# if you have a valid maintenance subscription, please uncomment the 
# following and add the ldb account data to the url so that the most recent
# packages get installed
# [ox-updates]
# name=Open-Xchange Updates
# baseurl=https://[CUSTOMERID:PASSWORD]@software.open-xchange.com/OX6/unsupported/repo/updates/RHEL7/
# gpgkey=https://software.open-xchange.com/oxbuildkey.pub
# enabled=1
# gpgcheck=1
# metadata_expire=0m

and run

$ yum update
$ yum install open-xchange-munin-scripts

CentOS 6

Start a console and create a software repository file if not already present:

$ vim /etc/yum.repos.d/oxmunin.repo

[oxmunin]
name=Open-Xchange
baseurl=https://software.open-xchange.com/OX6/unsupported/repo/RHEL6/
gpgkey=https://software.open-xchange.com/oxbuildkey.pub
enabled=1
gpgcheck=1
metadata_expire=0m
# if you have a valid maintenance subscription, please uncomment the 
# following and add the ldb account data to the url so that the most recent
# packages get installed
# [ox-updates]
# name=Open-Xchange Updates
# baseurl=https://[CUSTOMERID:PASSWORD]@software.open-xchange.com/OX6/unsupported/repo/updates/RHEL6/
# gpgkey=https://software.open-xchange.com/oxbuildkey.pub
# enabled=1
# gpgcheck=1
# metadata_expire=0m

and run

$ yum update
$ yum install open-xchange-munin-scripts

CentOS 7

Start a console and create a software repository file if not already present:

$ vim /etc/yum.repos.d/oxmunin.repo

[oxmunin]
name=Open-Xchange
baseurl=https://software.open-xchange.com/OX6/unsupported/repo/RHEL7/
gpgkey=https://software.open-xchange.com/oxbuildkey.pub
enabled=1
gpgcheck=1
metadata_expire=0m
# if you have a valid maintenance subscription, please uncomment the 
# following and add the ldb account data to the url so that the most recent
# packages get installed
# [ox-updates]
# name=Open-Xchange Updates
# baseurl=https://[CUSTOMERID:PASSWORD]@software.open-xchange.com/OX6/unsupported/repo/updates/RHEL7/
# gpgkey=https://software.open-xchange.com/oxbuildkey.pub
# enabled=1
# gpgcheck=1
# metadata_expire=0m

and run

$ yum update
$ yum install open-xchange-munin-scripts

How to use Munin scripts for Open-Xchange

Prerequisites

Munin-Node must be installed prior installing the Munin scripts package for Open-Xchange.

Configuring Munin scripts for Open-Xchange

The configuration of the scripts is done automatically. The database pool montioring scripts will get configured only if the Open-Xchange server is running on installing the open-xchange-munin-scripts packages.